<?php

/**
 * Model of interactions with a database
 */
interface DBConnection
{
	public function __construct($server ,$username, $password, $database);
	public function getDBName();
	public function connection();
	public function disconnect();
	public function execQuery($sql,array $parameters=array());
	public function execQueryIterator($sql,array $parameters=array());
	public function execQuerySelect($sql,array $parameters=array());
	public function getLastInsertId();
	
}

interface DBIterator {
	public function getNext();
}
?>